<?php

function get_lang_module_title($string)
{
	global $user;
	foreach(explode('///', $string) as $name) {
       	$array = explode(':', $name);
       	$title_lang[$array[0]] = $array[1];
    }
    if (isset($title_lang[$user['language']])) return $title_lang[$user['language']];
    if (isset($title_lang[PHPWG_DEFAULT_LANGUAGE])) return $title_lang[PHPWG_DEFAULT_LANGUAGE];
    if (isset($title_lang['en_UK.iso-8859-1'])) return $title_lang[$user['en_UK.iso-8859-1']];
    if (isset($title_lang['fr_FR.iso-8859-1'])) return $title_lang[$user['fr_FR.iso-8859-1']];
	return array_shift($title_lang);
}

function get_stuffs_language_content($content)
{
	global $user;

	$user_lang = substr($user['language'], 0, 2);
	if (!substr_count(strtolower($content), '[lang=' . $user_lang . ']')) {
		$user_lang = 'default';
		if (!substr_count(strtolower($content), '[lang=default]')) {
			$content = preg_replace("#(\A|\[/lang\])(.*?)(\[lang=(.*?)\]|\Z)#is", '$1[lang=default]$2[/lang]$3', $content);
		}
	}
	preg_match_all("#\[lang=(" . $user_lang . "|all)\](.*?)\[/lang\]#is", $content, $matches);
	return implode('', ($matches[2]));
}

function tags_counter_compare($a, $b)
{
    if ($a['counter'] == $b['counter']) {
        return tags_id_compare($a, $b);
    }

    return ($a['counter'] < $b['counter']) ? + 1 : -1;
}

function tags_id_compare($a, $b)
{
    return ($a['id'] < $b['id']) ? -1 : 1;
}

?>